| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Prompt.Workspace

Portability | unportable
Maintainer | Stability : unstable

Contents

Usage

Description
A workspace prompt for XMonad
Synopsis

workspacePrompt :: XPConfig -> (String -> X ()) -> X ()

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Workspace

       , ((modm .|. shiftMask, xK_m     ), workspacePrompt defaultXPConfig (windows . W.shift))

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

workspacePrompt :: XPConfig -> (String -> X ()) -> X () | Source

Produced by Haddock version 2.4.2